HP Laserjet 1020 printing negative images and photos. Text prints fine

Bug #754383 reported by Francisco Spienco on 2011-04-08
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned

Bug Description

HPLIP software version 3.11.3a.
Operating System Opensuse 11.4 x86_64
HP Laserjet 1020 printer prints good text from any application, but when printing images or photos printed on the paper negative.
If the application is tested with Version 2.6.0 Gwenview
Using the KDE Development Platform 4.6.0 (4.6.0) "release 6. and in the print options you choose grayscale print correctly. In the color printing option in the negative.
Firefox 4.0 with openSUSE 11.4 for printing the pictures of web pages in the negative. Firefox does not have the grayscale option in print.
Thanks

The original installation of OpenSUSE 11.4 (64 bit) version is 3.11.1.19 HPLIP which expresses the same problem mentioned before with the HP Lasejet 1020 (printed in negative images of any application).
Tested with an HP Laserjet P1006 and prints correctly.
Updating HPLIP Version 3.11.3a was made from the website: http://www.opensuse.org/es/ in one click to install section was added to the repository from yast and then updated only from the same YAST.
The output of "hp-check-t" is:

HP Linux Imaging and Printing System (ver. 3.11.3a)
Dependency/Version Check Utility ver. 14.3

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or
.run) to determine if the proper dependencies are installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or
an already built HPLIP supplied tarball has the proper dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases
(both compile- and run-time dependencies).

Saving output in log file: hp-check.log

Initializing. Please wait...

---------------
| SYSTEM INFO |
---------------

Basic system information:
Linux dhcppc0 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10 +0100 x86_64 x86_64 x86_64 GNU/Linux

Distribution:
suse 11.4

Checking Python version...
OK, version 2.7.0 installed

Checking PyQt 4.x version...
OK, version 4.8.3 installed.

Checking for CUPS...
Status: el planificador de tareas se está ejecutando
Version: 1.4.6
warning: /etc/cups/cupsd.conf file not found or not accessible.

Checking for dbus/python-dbus...
dbus daemon is running.
python-dbus version: 0.83.2

------------------------------------
| COMPILE AND RUNTIME DEPENDENCIES |
------------------------------------

note: To check for compile-time only dependencies, re-run hp-check with the -c parameter (ie, hp-check -c).
note: To check for run-time only dependencies, re-run hp-check with the -r parameter (ie, hp-check -r).

Checking for dependency: CUPS - Common Unix Printing System...
OK, found.

Checking for dependency: CUPS devel- Common Unix Printing System development files...
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: CUPS image - CUPS image development files...
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: DBus - Message bus system...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: gcc - GNU Project C and C++ Compiler...
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...
OK, found.

Checking for dependency: libcrypto - OpenSSL cryptographic library...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: libjpeg - JPEG library...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: libnetsnmp-devel - SNMP networking library development files...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: libpthread - POSIX threads library...
OK, found.

Checking for dependency: libtool - Library building support services...
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: libusb - USB library...
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: make - GNU make utility to maintain groups of programs...
OK, found.

Checking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.

Checking for dependency: PolicyKit - Administrative policy framework...
OK, found.

Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
OK, found.

Checking for dependency: Python DBus - Python bindings for DBus...
OK, found.

Checking for dependency: Python devel - Python development files...
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: Python libnotify - Python bindings for the libnotify Desktop notifications...
warning: NOT FOUND! This is an OPTIONAL/RUNTIME ONLY dependency. Some HPLIP functionality may not function properly.

Checking for dependency: Python XML libraries...
OK, found.

Checking for dependency: Python 2.3 or greater - Required for fax functionality...
OK, found.

Checking for dependency: Python 2.2 or greater - Python programming language...
OK, found.

Checking for dependency: Reportlab - PDF library for Python...
OK, found.

Checking for dependency: SANE - Scanning library...
OK, found.

Checking for dependency: SANE - Scanning library development files...
error: NOT FOUND! This is a REQUIRED/COMPILE TIME ONLY dependency. Please make sure that this dependency is installed before installing or running HPLIP.

Checking for dependency: scanimage - Shell scanning program...
OK, found.

Checking for dependency: xsane - Graphical scanner frontend for SANE...
OK, found.

----------------------
| HPLIP INSTALLATION |
----------------------

Currently installed HPLIP version...
HPLIP 3.11.3a currently installed in '/usr/share/hplip'.

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.11.3a

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/cups/model/manufacturer-PPDs/hplip
ppdbase=/usr/share/cups/model/manufacturer-PPDs
doc=/usr/share/doc/packages/hplip
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/lib/cups/driver

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=no
foomatic-ppd-install=yes
foomatic-rip-hplip-install=yes
hpcups-install=yes
cups-drv-install=no
cups-ppd-install=yes
internal-tag=3.11.3a
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
hpijs-only-build=no
lite-build=no
udev-acl-rules=no
hpcups-only-build=no
hpijs-only-build=no

Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1

Current contents of '~/.hplip/hplip.conf' file:
[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri = "hp:/usb/HP_LaserJet_1020?serial=FZ03CBT"
printer_name = HP-LaserJet-1020
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 04/09/11 02:18:16
version = 3.11.3a

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI Model
  ---------------------------------------- -----------------------
  hp:/usb/HP_LaserJet_1020?serial=FZ03CBT HP LaserJet 1020
  hp:/usb/HP_LaserJet_P1006?serial=AC2E0BN HP LaserJet P1006

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

HP-LaserJet-1020
----------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_1020?serial=FZ03CBT
PPD: /etc/cups/ppd/HP-LaserJet-1020.ppd
PPD Description: HP LaserJet 1020, hpcups 3.11.1.19, requires proprietary plugin
Printer ready to printresora HP-LaserJet-1020 está inactiva. activada desde vie 08 abr 2011 23:15:34 ART
Required plug-in status: Installed
Communication status: Good

hplaserjetp1006
---------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_P1006?serial=AC2E0BN
PPD: /etc/cups/ppd/hplaserjetp1006.ppd
PPD Description: HP LaserJet p1006 hpijs, 3.11.1.19, requires proprietary plugin
Printer ready to printresora hplaserjetp1006 está inactiva. activada desde vie 08 abr 2011 23:16:35 ART
Required plug-in status: Installed
Communication status: Good

----------------------
| SANE CONFIGURATION |
----------------------

'hpaio' in '/etc/sane.d/dll.conf'...
OK, found. SANE backend 'hpaio' is properly set up.

Checking output of 'scanimage -L'...

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

---------------------
| PYTHON EXTENSIONS |
---------------------

Checking 'cupsext' CUPS extension...
OK, found.

Checking 'pcardext' Photocard extension...
OK, found.

Checking 'hpmudext' I/O extension...
OK, found.

Checking 'scanext' SANE scanning extension...
OK, found.

-----------------
| USB I/O SETUP |
-----------------

Checking for permissions of USB attached printers...

HP Device 0x3e17 at 001:005:
    Device URI: hp:/usb/HP_LaserJet_P1006?serial=AC2E0BN
    Device node: /dev/bus/usb/001/005
    Mode: 0664
getfacl: Eliminando '/' inicial en nombres de ruta absolutos
# file: dev/bus/usb/001/005
# owner: root
# group: lp
user::rw-
user:francisco:rw-
group::rw-
mask::rw-
other::r--

HP Device 0x2b17 at 001:003:
    Device URI: hp:/usb/HP_LaserJet_1020?serial=FZ03CBT
    Device node: /dev/bus/usb/001/003
    Mode: 0664
getfacl: Eliminando '/' inicial en nombres de ruta absolutos
# file: dev/bus/usb/001/003
# owner: root
# group: lp
user::rw-
user:francisco:rw-
group::rw-
mask::rw-
other::r--

---------------
| USER GROUPS |
---------------

users video

-----------
| SUMMARY |
-----------

error: 13 errors and/or warnings.

Please refer to the installation instructions at:
http://hplip.sourceforge.net/install/index.html

Done.

(in Spanish)
La impresora HP Laserjet 1020 imprime bien los textos de cualquier aplicación, pero al imprimir imagenes o fotos las imprime en el papel en negativo.
Si se prueba con la aplicación Gwenview Versión 2.6.0
Usando la plataforma de desarrollo de KDE 4.6.0 (4.6.0) "release 6". y en las opciones de impresión se elige escala de grises imprime correctamente. En la opción en colores imprime en negativo.
con Firefox 4.0 para openSUSE 11.4 imprime las fotos de las páginas web en negativo. Firefox no tiene la opción de escalas de grises en la impresión.
Gracias
La instalación original de OpenSUSE 11.4 (64 Bits) del HPLIP es la versión 3.11.1.19 la cual manifiesta el mismo problema mencionado antes con la impresora HP Lasejet 1020 (imprime en negativo las imagenes de cualquier aplicación).
Se probó con una impresora HP Laserjet P1006 e imprime correctamente.
La actualización de HPLIP Versión 3.11.3a se realizó desde la página web : http://www.opensuse.org/es/ en la sección un click para instalar se añadió el repositorio desde YAst y luego se actualizó solo desde el mismo YAST.
La salida de "hp-check -t" es:

Related branches

goutam kodu (goutam-hplip) wrote :

Hi,

How did you install HPLIP in your machine?
HPLIP Auto installation support for OpenSUSE 11.4 is not available. Support for SUSE 11.4 will be available in coming release of HPLIP.

Please can you post me the output of "hp-check -t" command .

Thanks,
Goutam Korra Kodu

Changed in hplip:
status: New → In Progress
description: updated
goutam kodu (goutam-hplip) wrote :

Hi,

"hp-check -t"output shows many missing packages. HPLIP Auto installation support for OpenSUSE 11.4 is not available yet.
Please follow this link https://answers.launchpad.net/hplip/+faq/1557 to make hplip auto installation to work on OpenSUSE 11.4.

Please verify this bug after the auto installation of hplip-3.11.3a . Let us know if the bug still reproduces . If reproduces , please post the output of "hp-check -t".

Thanks,
Goutam Korra Kodu

Dmitry Diskin (diskin) wrote :

https://bbs.archlinux.org/viewtopic.php?id=107261 looks similar, they say that ghostscript caused the problem.

goutam kodu (goutam-hplip) wrote :

Hi,

The fix will be available in the next public release of hplip.

Thanks,
Goutam Kodu

Changed in hplip:
status: In Progress → Fix Committed
goutam kodu (goutam-hplip) wrote :

Hi,

Latest hplip-3.11.5 is released now, which has support for OpenSUSE 11.4 and also has the patch for the inverted color problem. You can find the same at http://hplipopensource.com/hplip-web/gethplip.html. Please upgrade you ghostscript version to the latest and install the latest hplip-3.11.5.

Let us know if you still face the issue.

Thanks for using HPLIP.

Thanks & Regards,
Goutam Kodu

Ani Balakrishnan (anib) on 2011-05-13
Changed in hplip:
status: Fix Committed → Fix Released
goutam kodu (goutam-hplip) wrote :

Hi,

Latest hplip-3.11.5 is released now. You can find the same at http://hplipopensource.com/hplip-web/gethplip.html. It has the auto installation support for OpenSUSE 11.4 and contains the patch for inverted image color. Please upgrade the Ghostscript version to the latest and install hplip-3.11.5 and let us know on the same .

Thanks for using HPLIP.

Thanks & Regards,
Goutam Kodu.

Predrag Manojlovic (pedjaman) wrote :

Hi,

I must say issue is not fixed. Most images are printed correctly, but image having white background is still printed as black background.

I updated hplip to latest version 3.11.5, OpenSUSE 10.4 64bit. Also, used hp-setup to select new driver.

Did someone noticed same problem? I can attach example image and scan printed version if that helps.

Thank you
Predrag

goutam kodu (goutam-hplip) wrote :

Hi,

Please post us the out-put of "hp-check -t" command. And attach us the example image and scan printed version.

Thanks & Regards,
Goutam Kodu

Download full text (14.3 KiB)

HI,

After update to 3.11.5 nothing happened. Even after reboot.
But after full system update, looks like bug is fixed.
It is probably bug in OpenSUSE update system which didn't updated all
components properly.

I'm sorry for inconvenience,
Please ignore my error report.

Predrag

On Mon, Jun 27, 2011 at 1:51 PM, goutamkk <email address hidden> wrote:

> Hi,
>
> Please post us the out-put of "hp-check -t" command. And attach us the
> example image and scan printed version.
>
> Thanks & Regards,
> Goutam Kodu
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (778149).
> https://bugs.launchpad.net/bugs/754383
>
> Title:
> HP Laserjet 1020 printing negative images and photos. Text prints fine
>
> Status in HP Linux Imaging and Printing:
> Fix Released
>
> Bug description:
> HPLIP software version 3.11.3a.
> Operating System Opensuse 11.4 x86_64
> HP Laserjet 1020 printer prints good text from any application, but when
> printing images or photos printed on the paper negative.
> If the application is tested with Version 2.6.0 Gwenview
> Using the KDE Development Platform 4.6.0 (4.6.0) "release 6. and in the
> print options you choose grayscale print correctly. In the color printing
> option in the negative.
> Firefox 4.0 with openSUSE 11.4 for printing the pictures of web pages in
> the negative. Firefox does not have the grayscale option in print.
> Thanks
>
> The original installation of OpenSUSE 11.4 (64 bit) version is 3.11.1.19
> HPLIP which expresses the same problem mentioned before with the HP Lasejet
> 1020 (printed in negative images of any application).
> Tested with an HP Laserjet P1006 and prints correctly.
> Updating HPLIP Version 3.11.3a was made from the website:
> http://www.opensuse.org/es/ in one click to install section was added to
> the repository from yast and then updated only from the same YAST.
> The output of "hp-check-t" is:
>
> HP Linux Imaging and Printing System (ver. 3.11.3a)
> Dependency/Version Check Utility ver. 14.3
>
> Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
> This software comes with ABSOLUTELY NO WARRANTY.
> This is free software, and you are welcome to distribute it
> under certain conditions. See COPYING file for more details.
>
> Note: hp-check can be run in three modes:
> 1. Compile-time check mode (-c or --compile): Use this mode before
> compiling the HPLIP supplied tarball (.tar.gz or
> .run) to determine if the proper dependencies are installed to
> successfully compile HPLIP.
> 2. Run-time check mode (-r or --run): Use this mode to determine if a
> distro supplied package (.deb, .rpm, etc) or
> an already built HPLIP supplied tarball has the proper dependencies
> installed to successfully run.
> 3. Both compile- and run-time check mode (-b or --both) (Default): This
> mode will check both of the above cases
> (both compile- and run-time dependencies).
>
> Saving output in log file: hp-check.log
>
> Initializing. Please wait...
>
> ---------------
> | SYSTEM INFO |
> ---------------
>
> Basic system information:
> Linux dhcppc0 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10
> +0100...

I've been working behind the scenes on a new social network that's about to
launch.
It's already growing at the speed of Facebook, Twitter and Pinterest!
You have to see the concept to understand why. But once you get it, you'll
see this could change your life forever.
Check it out here...
http://www.startmyripple.com/blitzlink/Jfe0RwP0nxa4yfAdzbBYWxIBkyn3bkyMi7z8HQ42nvg%3D
Watch the video and then create your account. I can't tell you too much
more until your inside, so create your free account now then let me know
and I can explain how it all works!
Thanks,
Predrag Manojlović
P.S. Almost 900,000 people have already joined, and it hasn't even gone
live yet! Come see what all of the buzz is about:
http://www.startmyripple.com/blitzlink/Jfe0RwP0nxa4yfAdzbBYWxIBkyn3bkyMi7z8HQ42nvg%3D

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers